PSCAD 4.2.1

Settings
 {
 Id = "1053979772.1289851955"
 Author = "dkell.georgew"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 0
 Warn = 1
 Check = 7
 Libs = "c:\\eaf_example\\eaf.o"
 Source = ""
 RunInfo = 
  {
  Fin = 1
  Step = 5e-005
  Plot = 5e-005
  Chat = 1e-005
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 255
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Component("eaf_vsc")
  {
  Desc = ""
  FileDate = 0
  Parameters = 
   {
   Category("Arc Data")
    {
    Input("K1",6,2,76,12,6)
     {
     Desc = "K1"
     Def = "3000.0"
     Data = Real
     Len = 15
     }
    Input("K2",6,16,76,12,6)
     {
     Desc = "K2"
     Def = "1.0"
     Data = Real
     Len = 15
     }
    Input("K3",6,30,76,12,6)
     {
     Desc = "K3"
     Def = "12.5"
     Data = Real
     Len = 15
     }
    Input("Rstart",6,44,76,12,2)
     {
     Desc = "Rintilize"
     Def = "1.0"
     Data = Real
     Unit = "ohm"
     Len = 15
     }
    }
   Category("Modulation Type-Phase A")
    {
    Choice("TypeA",4,2,144,70,2)
     {
     Style = 1
     Desc = "Types"
     Def = "0"
     Len = 15
     *0 = "None"
     *1 = "Sine"
     *2 = "Gaussian"
     *3 = "Both"
     }
    Input("SinmagA",4,76,132,12,2)
     {
     Desc = "Magnitude- Phase A"
     Def = "0.01"
     Data = Real
     Len = 15
     Cond = "(TypeA == 1) || (TypeA == 3)"
     }
    Input("SinfreqA",4,90,132,12,2)
     {
     Desc = "Frequency-Phase A"
     Def = "6.0"
     Data = Real
     Unit = "Hz"
     Len = 15
     Cond = "(TypeA == 1) || (TypeA == 3)"
     }
    Input("STDA",4,104,132,12,2)
     {
     Desc = "Standard Dev. Phase A"
     Def = "0.02"
     Data = Real
     Len = 15
     Cond = "(TypeA == 2) || (TypeA == 3)"
     }
    }
   Category("Modulation Type-Phase B")
    {
    Choice("TypeB",4,2,144,70,2)
     {
     Style = 1
     Desc = "Types"
     Def = "0"
     Len = 15
     *0 = "None"
     *1 = "Sine"
     *2 = "Gaussian"
     *3 = "Both"
     }
    Input("SinmagB",4,76,132,12,2)
     {
     Desc = "Magnitude- Phase B"
     Def = "0.01"
     Data = Real
     Len = 15
     Cond = "(TypeB == 1) || (TypeB == 3)"
     }
    Input("SinfreqB",4,90,132,12,2)
     {
     Desc = "Frequency-Phase B"
     Def = "6.0"
     Data = Real
     Unit = "Hz"
     Len = 15
     Cond = "(TypeB == 1) || (TypeB == 3)"
     }
    Input("STDB",4,104,132,12,2)
     {
     Desc = "Standard Dev. Phase B"
     Def = "0.02"
     Data = Real
     Len = 15
     Cond = "(TypeB == 2) || (TypeB == 3)"
     }
    }
   Category("Modulation Type-Phase C")
    {
    Choice("TypeC",4,2,144,70,2)
     {
     Style = 1
     Desc = "Types"
     Def = "0"
     Len = 15
     *0 = "None"
     *1 = "Sine"
     *2 = "Gaussian"
     *3 = "Both"
     }
    Input("SinmagC",4,76,132,12,2)
     {
     Desc = "Magnitude- Phase C"
     Def = "0.01"
     Data = Real
     Len = 15
     Cond = "(TypeC == 1) || (TypeC == 3)"
     }
    Input("SinfreqC",4,90,132,12,2)
     {
     Desc = "Frequency-Phase C"
     Def = "6.0"
     Data = Real
     Unit = "Hz"
     Len = 15
     Cond = "(TypeC == 1) || (TypeC == 3)"
     }
    Input("STDC",4,104,132,12,2)
     {
     Desc = "Standard Dev. Phase C"
     Def = "0.02"
     Data = Real
     Len = 15
     Cond = "(TypeC == 2) || (TypeC == 3)"
     }
    }
   Category("Outputs")
    {
    Text("VarcA",2,2,76,12,2)
     {
     Desc = "Varc -Phase A"
     Len = 8
     }
    Text("VarcB",2,16,76,12,2)
     {
     Desc = "Varc -Phase B"
     Len = 8
     }
    Text("VarcC",2,30,76,12,2)
     {
     Desc = "Varc -Phase C"
     Len = 8
     }
    Text("IarcA",2,44,76,12,2)
     {
     Desc = "Iarc -Phase A"
     Len = 8
     }
    Text("IarcB",2,58,76,12,2)
     {
     Desc = "Iarc -Phase B"
     Len = 8
     }
    Text("IarcC",2,72,76,12,2)
     {
     Desc = "Iarc -Phase C"
     Len = 8
     }
    Text("RarcA",2,86,76,12,2)
     {
     Desc = "Rarc -Phase A"
     Len = 8
     }
    Text("RarcB",2,100,76,12,2)
     {
     Desc = "Rarc -Phase B"
     Len = 8
     }
    Text("RarcC",2,114,76,12,2)
     {
     Desc = "Rarc -Phase C"
     Len = 8
     }
    }
   }

  Nodes = 
   {
   Electrical("NA",-18,-54)
    {
    }
   Electrical("NG",0,18)
    {
    }
   Input("Ranum",-54,-18)
    {
    Type = Real
    }
   Electrical("NB",0,-54)
    {
    }
   Electrical("NC",18,-54)
    {
    }
   }

  Graphics = 
   {
   Pen(ByNode,ByNode,ByNode)
   Line(18,-54,18,-36)
   Line(0,-54,0,-37)
   Line(-18,-54,-18,-37)
   Line(0,18,0,3)
   Pen(Black,Solid,1.0)
   Line(-36,-36,36,-36)
   Pen(,,0.4)
   Arc(-35,-51,37,3,180,180)
   Line(-9,-13,-9,-35)
   Line(0,-7,0,-36)
   Line(10,-7,10,-36)
   Pen(,,0.2)
   Line(-54,-18,-34,-18)
   Text(-24,-42,"Ia")
   Text(10,14,"Ig")
   Text(-6,-42,"Ib")
   Text(12,-42,"Ic")
   Text(-47,-4,"Ext.")
   }

  Section(EMTDC)
   {
   Fortran = "\
#STORAGE REAL:15
#LOCAL REAL VarcA
#LOCAL REAL IarcA
#LOCAL REAL RarcA
#LOCAL REAL VarcB
#LOCAL REAL IarcB
#LOCAL REAL RarcB
#LOCAL REAL VarcC
#LOCAL REAL IarcC
#LOCAL REAL RarcC

#SUBROUTINE arc_diff Simple Single Phase Furnace
!  Simple Single phase Furnace
      CALL arc_diff($Ranum,$Bra,$Brb,$Brc,$SS,$K1,$K2,
     +              $K3,$Rstart,$SinmagA,$SinfreqA,$STDA,
     +              $SinmagB,$SinfreqB,$STDB,$SinmagC,
     +              $SinfreqC,$STDC,VarcA,VarcB,VarcC,
     +		      IarcA,IarcB,IarcC,RarcA,RarcB,RarcC,
     +              $TypeA,$TypeB,$TypeC)
!
#OUTPUT Real VarcA {VarcA}
#OUTPUT Real IarcA {IarcA}
#OUTPUT Real RarcA {RarcA}
#OUTPUT Real VarcB {VarcB}
#OUTPUT Real IarcB {IarcB}
#OUTPUT Real RarcB {RarcB}
#OUTPUT Real VarcC {VarcC}
#OUTPUT Real IarcC {IarcC}
#OUTPUT Real RarcC {RarcC}
"
   Branch = "\
Bra = $NA $NG Breaker 1.0
Brb = $NB $NG Breaker 1.0
Brc = $NC $NG Breaker 1.0"
   Computations = ""
   }
  }
 Module("Main")
  {
  Desc = ""
  FileDate = 0
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[800,579],100)
   {
   -Wire-([126,216],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([324,216],0,0,-1)
    {
    Vertex="0,0;144,0"
    }
   0.inductor([468,216],0,0,-1)
    {
    L = "2.38e-3 [H]"
    }
   0.source3R([90,216],0,0,30)
    {
    Name = "Source1"
    MVA = "80 [MVA]"
    Vm = "110 [kV]"
    F = "50.0 [Hz]"
    Tc = "0.00 [sec]"
    Ideal = "0"
    ZSeq = "0"
    Imp = "1"
    View = "1"
    details = "1"
    Z1 = "6.37 [ohm]"
    Phi1 = "80.0 []"
    R1p = "0.02 [ohm]"
    X1p = "0.096 [ohm]"
    Z0 = "1.0 [ohm]"
    Phi0 = "80.0 []"
    R0p = "1.0 [ohm]"
    X0p = "0.1 [ohm]"
    P = "Pout"
    Q = "Qout"
    Ia = "Isrca"
    Ib = ""
    Ic = ""
    }
   0.xfmr-3p2w([630,216],0,0,60)
    {
    Name = "T32"
    Tmva = "83 [MVA]"
    f = "50.0 [Hz]"
    YD1 = "1"
    YD2 = "1"
    Lead = "1"
    Xl = "0.077 [p.u.]"
    Ideal = "0"
    NLL = "0.0 [p.u.]"
    CuL = "0.0 [p.u.]"
    Tap = "0"
    View = "2"
    Dtls = "1"
    V1 = "20 [kV]"
    V2 = "0.5 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [p.u.]"
    Tdc = "1.0 [sec]"
    Xknee = "1.25 [p.u.]"
    Txk = "0.1 [sec]"
    Im1 = "0.4 [%]"
    ILA1 = ""
    ILB1 = ""
    ILC1 = ""
    IAB1 = ""
    IBC1 = ""
    ICA1 = ""
    ILA2 = "Is2a"
    ILB2 = ""
    ILC2 = ""
    IAB2 = ""
    IBC2 = ""
    ICA2 = ""
    IMA = ""
    IMB = ""
    IMC = ""
    FLXA = ""
    FLXB = ""
    FLXC = ""
    IMAB = ""
    IMBC = ""
    IMCA = ""
    FLXAB = ""
    FLXBC = ""
    FLXCA = ""
    }
   -Wire-([540,216],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.breakout([702,216],6,0,-1)
    {
    Dis = "0"
    }
   0.const([108,144],1,0,20)
    {
    Name = ""
    Value = "0.0"
    }
   -Wire-([666,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.breaker3([198,216],2,0,100)
    {
    Ctrl = "0"
    OPCUR = "0"
    ENAB = "0"
    CLVL = "0.0 [kA]"
    View = "1"
    ViewB = "1"
    DisPQ = "1"
    NAME = "BRK"
    NAMEA = "BRKA"
    NAMEB = "BRKB"
    NAMEC = "BRKC"
    ROFF = "1.0e6 [ohm]"
    RON = "1e-6 [ohm]"
    PRER = "0.5 [ohm]"
    TDA = "0.0 [sec]"
    TDB = "0.0 [sec]"
    TDC = "0.0 [sec]"
    TDRA = "0.05 [sec]"
    TDRB = "0.05 [sec]"
    TDRC = "0.05 [sec]"
    PostIns = "0"
    TDBOA = "0.005 [s]"
    IBRA = ""
    IBRB = ""
    IBRC = ""
    IBR0 = ""
    SBRA = ""
    SBRB = ""
    SBRC = ""
    BP = "P"
    BQ = "Q"
    BOpen1 = "0"
    BOpen2 = "0"
    BOpen3 = "0"
    P = "78.18 [MW]"
    Q = "73.34 [MVAR]"
    }
   0.datalabel([234,324],0,0,-1)
    {
    Name = "BRK"
    }
   -Wire-([684,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.ground([756,324],1,0,-1)
    {
    }
   0.datalabel([702,288],2,0,-1)
    {
    Name = "Modx"
    }
   0.xfmr-3p2w([288,216],0,0,-1)
    {
    Name = "T32"
    Tmva = "80 [MVA]"
    f = "50.0 [Hz]"
    YD1 = "0"
    YD2 = "1"
    Lead = "1"
    Xl = "0.15 [p.u.]"
    Ideal = "0"
    NLL = "0.0 [p.u.]"
    CuL = "0.0 [p.u.]"
    Tap = "0"
    View = "2"
    Dtls = "1"
    V1 = "110 [kV]"
    V2 = "20 [kV]"
    Enab = "0"
    Sat = "1"
    Xair = "0.2 [p.u.]"
    Tdc = "1.0 [sec]"
    Xknee = "1.25 [p.u.]"
    Txk = "0.1 [sec]"
    Im1 = "0.4 [%]"
    ILA1 = ""
    ILB1 = ""
    ILC1 = ""
    IAB1 = ""
    IBC1 = ""
    ICA1 = ""
    ILA2 = ""
    ILB2 = ""
    ILC2 = ""
    IAB2 = ""
    IBC2 = ""
    ICA2 = ""
    IMA = ""
    IMB = ""
    IMC = ""
    FLXA = ""
    FLXB = ""
    FLXC = ""
    IMAB = ""
    IMBC = ""
    IMCA = ""
    FLXAB = ""
    FLXBC = ""
    FLXCA = ""
    }
   0.ground([270,252],1,0,-1)
    {
    }
   0.ammeter([504,216],0,0,50)
    {
    Name = "Icomp"
    }
   0.var_switch([198,324],0,182160368,70)
    {
    Name = "System Breaker"
    Group = ""
    Display = "0"
    Value = "0"
    Max = "1"
    Min = "0"
    Ton = "Open"
    Toff = "Close"
    }
   0.voltmetergnd([162,216],0,0,40)
    {
    Name = "Eln"
    }
   0.const([666,288],0,0,80)
    {
    Name = ""
    Value = "1.0"
    }
   -Wire-([738,216],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([756,216],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   -Wire-([738,180],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([774,180],0,0,-1)
    {
    Vertex="0,0;0,72"
    }
   0.const([54,144],1,0,10)
    {
    Name = ""
    Value = "110"
    }
   0.datalabel([54,180],2,0,-1)
    {
    Name = "Vmag"
    }
   0.datalabel([864,288],0,0,-1)
    {
    Name = "Iarc"
    }
   0.datalabel([864,252],0,0,-1)
    {
    Name = "Varc"
    }
   0.pgb([864,252],0,182163224,140)
    {
    Name = "Varc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([864,288],0,182163632,110)
    {
    Name = "Iarc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([558,270],0,0,-1)
    {
    Name = "Iarc"
    }
   0.pgb([558,270],0,182141600,150)
    {
    Name = "Iarc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([558,306],0,0,-1)
    {
    Name = "Varc"
    }
   0.pgb([558,306],0,182142416,120)
    {
    Name = "Varc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Plot-([0,396],0)
    {
    Title = "Advanced Graph Frame"
    Draw = 1
    Area = [0,0,0,0]
    Posn = [-1,-1]
    Icon = [-1,-1]
    Extents = 0,0,576,378
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,576,105],"y")
     {
     Options = 137
     Units = ""
     Curve(182141600,"Iarc",8388608,,,)
     }
    Graph([0,105],[0,0,576,105],"y")
     {
     Options = 137
     Units = ""
     Curve(182142416,"Varc",8388608,,,)
     Curve(22272848,"Varcw2",0,,,)
     }
    Graph([0,210],[0,0,576,105],"y")
     {
     Options = 137
     Units = ""
     Curve(182145680,"Rarc",0,,,)
     Curve(22936360,"Rarc",0,,,)
     }
    }
   0.datalabel([504,270],0,0,-1)
    {
    Name = "P"
    }
   0.pgb([504,270],0,182143232,160)
    {
    Name = "P"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.datalabel([504,306],0,0,-1)
    {
    Name = "Q"
    }
   0.pgb([504,306],0,182144048,130)
    {
    Name = "Q"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Sticky-([36,36],0)
    {
    Name = ""
    Font = 1
    Bounds = 36,36,252,108
    Alignment = 0
    Style = 1
    Arrow = 0
    Color = 0,15792890
    Text = "\
Electric Arc Furance Example
By 
Dan Kell, P.Eng
Manitoba HVDC Research Centre


"
    }
   -Wire-([342,216],0,0,-1)
    {
    Vertex="0,0;0,36"
    }
   0.resistor([342,252],1,0,-1)
    {
    R = "1.0e9 [ohm]"
    }
   0.ground([342,288],0,0,-1)
    {
    }
   0.datalabel([864,216],0,0,-1)
    {
    Name = "Rarc"
    }
   0.pgb([864,216],0,182145680,170)
    {
    Name = "Rarc"
    Group = ""
    Display = "0"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -XYPlot-(576,396,954,774)
    {
    Title = "frame"
    Options = 37
    State = 1
    Icon = -1,-1
    Posn = 576,396
    Extents = 0,0,0,0
    Curve(182141600,"Iarc",0,,,)
    Curve(182142416,"Varc",0,,,)
    }
   .eaf_vsc([756,306],0,0,90)
    {
    K1 = "2750.0"
    K2 = "1.0"
    K3 = "17.5"
    Rstart = "21.0 [ohm]"
    TypeA = "1"
    SinmagA = "0.01"
    SinfreqA = "8.8 [Hz]"
    STDA = "0.02"
    TypeB = "1"
    SinmagB = "0.01"
    SinfreqB = "8.8 [Hz]"
    STDB = "0.02"
    TypeC = "1"
    SinmagC = "0.01"
    SinfreqC = "8.8 [Hz]"
    STDC = "0.02"
    VarcA = "Varc"
    VarcB = ""
    VarcC = ""
    IarcA = "Iarc"
    IarcB = ""
    IarcC = ""
    RarcA = "Rarc"
    RarcB = ""
    RarcC = ""
    }
   -ControlPanel-([432,18],0)
    {
    Name = "$(GROUP) : Controls"
    Flags = 0
    State = 1
    Icon = -1,-1
    Posn = 432,18
    Extents = 0,0,72,126
    Meter(182143232)
    Meter(182144048)
    }
   }
  }
 }

